Package org.opensaml.saml.saml2.core

# Interface RequestAbstractType

All Superinterfaces:
  `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Subinterfaces:
  `ArtifactResolve`, `AssertionIDRequest`, `AttributeQuery`, `AuthnQuery`, `AuthnRequest`, `AuthzDecisionQuery`, `LogoutRequest`, `ManageNameIDRequest`, `NameIDMappingRequest`, `SubjectQuery`, `XACMLAuthzDecisionQueryType`, `XACMLPolicyQueryType`

All Known Implementing Classes:
  `ArtifactResolveImpl`, `AssertionIDRequestImpl`, `AttributeQueryImpl`, `AuthnQueryImpl`, `AuthnRequestImpl`, `AuthzDecisionQueryImpl`, `LogoutRequestImpl`, `ManageNameIDRequestImpl`, `NameIDMappingRequestImpl`, `RequestAbstractTypeImpl`, `SubjectQueryImpl`, `XACMLAuthzDecisionQueryTypeImpl`, `XACMLPolicyQueryTypeImpl`

public interface RequestAbstractType extends SignableSAMLObject
SAML 2.0 Core RequestAbstractType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONSENT_ATTRIB_NAME`
Consent attribute name.
`static final String`
`DESTINATION_ATTRIB_NAME`
Destination attribute name.
`static final String`
`EXPLICIT_CONSENT`
Explicit consent URI.
`static final String`
`ID_ATTRIB_NAME`
ID attribute name.
`static final String`
`IMPLICIT_CONSENT`
Implicit consent URI.
`static final String`
`INAPPLICABLE_CONSENT`
Inapplicable consent URI.
`static final String`
`ISSUE_INSTANT_ATTRIB_NAME`
IssueInstant attribute name.
`static final QName`
`ISSUE_INSTANT_ATTRIB_QNAME`
QName for the attribute which defines the IssueInstant.
`static final String`
`OBTAINED_CONSENT`
Obtained consent URI.
`static final String`
`PRIOR_CONSENT`
Prior consent URI.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNAVAILABLE_CONSENT`
Unavailable consent URI.
`static final String`
`UNSPECIFIED_CONSENT`
Unspecified consent URI.
`static final String`
`VERSION_ATTRIB_NAME`
Version attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getConsent()`
Gets the consent obtained from the principal for sending this request.
`String`
`getDestination()`
Gets the URI of the destination of the request.
`Extensions`
`getExtensions()`
Gets the Extensions of this request.
`String`
`getID()`
Gets the unique identifier of the request.
`Instant`
`getIssueInstant()`
Gets the date/time the request was issued.
`Issuer`
`getIssuer()`
Gets the issuer of this request.
`SAMLVersion`
`getVersion()`
Gets the SAML Version of this request.
`void`
`setConsent(String newConsent)`
Sets the consent obtained from the principal for sending this request.
`void`
`setDestination(String newDestination)`
Sets the URI of the destination of the request.
`void`
`setExtensions(Extensions newExtensions)`
Sets the Extensions of this request.
`void`
`setID(String newID)`
Sets the unique identifier of the request.
`void`
`setIssueInstant(Instant newIssueInstant)`
Sets the date/time the request was issued.
`void`
`setIssuer(Issuer newIssuer)`
Sets the issuer of this request.
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this request.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ID_ATTRIB_NAME

@Nonnull static final String ID_ATTRIB_NAME
ID attribute name.

See Also:
  - Constant Field Values

### VERSION_ATTRIB_NAME

@Nonnull static final String VERSION_ATTRIB_NAME
Version attribute name.

See Also:
  - Constant Field Values

### ISSUE_INSTANT_ATTRIB_NAME

@Nonnull static final String ISSUE_INSTANT_ATTRIB_NAME
IssueInstant attribute name.

See Also:
  - Constant Field Values

### ISSUE_INSTANT_ATTRIB_QNAME

@Nonnull static final QName ISSUE_INSTANT_ATTRIB_QNAME
QName for the attribute which defines the IssueInstant.

### DESTINATION_ATTRIB_NAME

@Nonnull static final String DESTINATION_ATTRIB_NAME
Destination attribute name.

See Also:
  - Constant Field Values

### CONSENT_ATTRIB_NAME

@Nonnull static final String CONSENT_ATTRIB_NAME
Consent attribute name.

See Also:
  - Constant Field Values

### UNSPECIFIED_CONSENT

@Nonnull static final String UNSPECIFIED_CONSENT
Unspecified consent URI.

See Also:
  - Constant Field Values

### OBTAINED_CONSENT

@Nonnull static final String OBTAINED_CONSENT
Obtained consent URI.

See Also:
  - Constant Field Values

### PRIOR_CONSENT

@Nonnull static final String PRIOR_CONSENT
Prior consent URI.

See Also:
  - Constant Field Values

### IMPLICIT_CONSENT

@Nonnull static final String IMPLICIT_CONSENT
Implicit consent URI.

See Also:
  - Constant Field Values

### EXPLICIT_CONSENT

@Nonnull static final String EXPLICIT_CONSENT
Explicit consent URI.

See Also:
  - Constant Field Values

### UNAVAILABLE_CONSENT

@Nonnull static final String UNAVAILABLE_CONSENT
Unavailable consent URI.

See Also:
  - Constant Field Values

### INAPPLICABLE_CONSENT

@Nonnull static final String INAPPLICABLE_CONSENT
Inapplicable consent URI.

See Also:
  - Constant Field Values

## Method Details

### getVersion

@Nullable SAMLVersion getVersion()
Gets the SAML Version of this request.

Returns:
  the SAML Version of this request.

### setVersion

void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML Version of this request.

Parameters:
  `newVersion` - the SAML Version of this request

### getID

@Nullable String getID()
Gets the unique identifier of the request.

Returns:
  the unique identifier of the request

### setID

void setID(@Nullable String newID)
Sets the unique identifier of the request.

Parameters:
  `newID` - the unique identifier of the request

### getIssueInstant

@Nullable Instant getIssueInstant()
Gets the date/time the request was issued.

Returns:
  the date/time the request was issued

### setIssueInstant

void setIssueInstant(@Nullable Instant newIssueInstant)
Sets the date/time the request was issued.

Parameters:
  `newIssueInstant` - the date/time the request was issued

### getDestination

@Nullable String getDestination()
Gets the URI of the destination of the request.

Returns:
  the URI of the destination of the request

### setDestination

void setDestination(@Nullable String newDestination)
Sets the URI of the destination of the request.

Parameters:
  `newDestination` - the URI of the destination of the request

### getConsent

@Nullable String getConsent()
Gets the consent obtained from the principal for sending this request.

Returns:
  the consent obtained from the principal for sending this request

### setConsent

void setConsent(@Nullable String newConsent)
Sets the consent obtained from the principal for sending this request.

Parameters:
  `newConsent` - the new consent obtained from the principal for sending this request

### getIssuer

@Nullable Issuer getIssuer()
Gets the issuer of this request.

Returns:
  the issuer of this request

### setIssuer

void setIssuer(@Nullable Issuer newIssuer)
Sets the issuer of this request.

Parameters:
  `newIssuer` - the issuer of this request

### getExtensions

@Nullable Extensions getExtensions()
Gets the Extensions of this request.

Returns:
  the Status of this request

### setExtensions

void setExtensions(@Nullable Extensions newExtensions)
Sets the Extensions of this request.

Parameters:
  `newExtensions` - the Extensions of this request